<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigurationDB: Deprecated List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('deprecated.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Deprecated List </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><dl class="reflist">
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#acdb09984156d16a1d32c23797a6475d9">_fwConfigurationDB_getRecipeAuthor</a>  (dyn_dyn_mixed &amp;recipeObject, string &amp;recipeAuthor, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000003"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a8733a4b166d3632959d381bc1221d6a1">_fwConfigurationDB_getRecipeClass</a>  (dyn_dyn_mixed &amp;recipeObject, string &amp;recipeClass, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000004"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a40eaeeac9ae382410626c7d1f992eb21">_fwConfigurationDB_getRecipeCreationTime</a>  (dyn_dyn_mixed &amp;recipeObject, time &amp;creationTime, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000005"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a167ef7fa51cd06b47374b84bed948051">_fwConfigurationDB_getRecipeLastActivationUser</a>  (dyn_dyn_mixed &amp;recipeObject, string &amp;lastActivationUser, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000006"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a3149e7758469808d47a8121ef4e3d548">_fwConfigurationDB_getRecipeLastModificationComment</a>  (dyn_dyn_mixed &amp;recipeObject, string &amp;lastModificationComment, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000007"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a5c4b79c41f6d847dcb3fcaa3926a2bf8">_fwConfigurationDB_getRecipeLastModificationTime</a>  (dyn_dyn_mixed &amp;recipeObject, time &amp;lastModificationTime, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000008"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a4dc0994eb493a1f9a3f2fd8a495508ea">_fwConfigurationDB_getRecipeLastModificationUser</a>  (dyn_dyn_mixed &amp;recipeObject, string &amp;lastModificationUser, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000009"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a12112769b144e5c5b034834694ca4b36">_fwConfigurationDB_getRecipePredefined</a>  (dyn_dyn_mixed &amp;recipeObject, bool &amp;predefined, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000010"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a8ed9c4909bed7e66087640682a40e5af">_fwConfigurationDB_getRecipeVersionString</a>  (dyn_dyn_mixed &amp;recipeObject, string &amp;recipeVersion, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000011"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a945e026ee11914c0af4e7e6ef7fb00a6">_fwConfigurationDB_itemIdListForSQLQuery</a>  (dyn_int itemIdList)</dt>
<dd><a class="anchor" id="_deprecated000016"></a>2018-08-03  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a9934dab68461b2e263afed6368a314cf">_fwConfigurationDB_listToSQLString</a>  (string columnName, dyn_string itemIdList)</dt>
<dd><a class="anchor" id="_deprecated000017"></a>2018-08-03  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a811d898ee68e14b4aaa70746eed43708">_fwConfigurationDB_setRecipeClass</a>  (dyn_dyn_mixed &amp;recipeObject, string recipeClass, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000012"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#abd1852461378dddfbe565c1704282696">_fwConfigurationDB_setRecipeLastActivationTime</a>  (dyn_dyn_mixed &amp;recipeObject, time lastActivationTime, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000013"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a139f4c59150b1801e66cefe266cb76ad">_fwConfigurationDB_setRecipeLastActivationUser</a>  (dyn_dyn_mixed &amp;recipeObject, string lastActivationUser, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000014"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a014fb57a4d28dcf5227a3093519c9942">_fwConfigurationDB_setRecipePredefined</a>  (dyn_dyn_mixed &amp;recipeObject, bool predefined, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000015"></a>2018-06-25  </dd>
<dt>Member <a class="el" href="group__RecipeFunctions.html#ga37a32e3745a781b5e285cc1465ccb9ff">fwConfigurationDB_ApplyRecipe</a>  (dyn_dyn_mixed recipeObject, string hierarchyType, dyn_string &amp;exceptionInfo, bool allowApplyRemote=FALSE)</dt>
<dd><a class="anchor" id="_deprecated000021"></a>use <a class="el" href="group__RecipeFunctions.html#ga3c127700937f5b3144dcaaaa5c5a7c8a">fwConfigurationDB_applyRecipe</a> instead  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a50c0b1f1f8e944e0922c1bc658f5dadb">fwConfigurationDB_deviceTypesToDpTypes</a>  (dyn_string devTypes, dyn_string &amp;dpTypes, dyn_string &amp;exceptionInfo, bool errorOnNonExistingType=true)</dt>
<dd><a class="anchor" id="_deprecated000002"></a>2018-06-22  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a099242f7527454209e0eaaecd7107771">fwConfigurationDB_getDBHierarchies</a>  (dyn_int &amp;ids, dyn_string &amp;types, dyn_string &amp;descriptions, dyn_string &amp;validFrom, dyn_string &amp;validTo, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000018"></a>2018-08-03  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#a92033885a1d8788d0cb5028e91040105">fwConfigurationDB_GetRecipeCacheMetaInfo</a>  (string recipeCache, string &amp;recipeComment, int &amp;numDevices, int &amp;numValues, int &amp;numAlerts, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000001"></a>2018-06-22  </dd>
<dt>Member <a class="el" href="group__RecipeFunctions.html#ga97ad266e37b98f3e1b8e0afa1fc597bd">fwConfigurationDB_getRecipeFromCache</a>  (string cacheName, dyn_string deviceList, string hierarchyType, dyn_dyn_mixed &amp;recipeObject, dyn_string &amp;exceptionInfo, string systemName="")</dt>
<dd><a class="anchor" id="_deprecated000023"></a>use <a class="el" href="group__RecipeFunctions.html#ga90c82b459ca4938b22362a41ffecf141">fwConfigurationDB_loadRecipeFromCache</a> instead </dd>
<dt>Member <a class="el" href="group__RecipeFunctions.html#ga8105e46964b2c652460334c0162b8ddd">fwConfigurationDB_getRecipeFromDB</a>  (string topDevice, dyn_string deviceList, string hierarchyType, string tag, dyn_dyn_mixed &amp;recipeObject, dyn_string &amp;exceptionInfo, string systemName="", time validAt=0)</dt>
<dd><a class="anchor" id="_deprecated000026"></a>use <a class="el" href="group__RecipeFunctions.html#ga36a6faf13d4f9f4cd17362f5a659e5dc">fwConfigurationDB_loadRecipeFromDB</a> instead  </dd>
<dt>Member <a class="el" href="group__RecipeFunctions.html#ga963ab6250237743c7051deb67f0d8366">fwConfigurationDB_GetRecipeFromSystem</a>  (dyn_dyn_mixed &amp;recipeObject, dyn_string deviceList, string hierarchyType, dyn_string &amp;exceptionInfo, dyn_string deviceSystems="")</dt>
<dd><a class="anchor" id="_deprecated000020"></a>Please use <a class="el" href="group__RecipeFunctions.html#gad8c78e1c3ab9067aba9ece6320fa5a48">fwConfigurationDB_extractRecipe</a> instead  </dd>
<dt>Member <a class="el" href="group__RecipeFunctions.html#ga77d7f4f49eeddaffa3457c26767e45e2">fwConfigurationDB_storeDiffRecipeInDB</a>  (dyn_dyn_mixed recipeObject, string hierarchyType, string versionDescription, dyn_string &amp;exceptionInfo, string tag, string systemName="", bool autoSaveDevices=FALSE)</dt>
<dd><a class="anchor" id="_deprecated000024"></a>use <a class="el" href="group__RecipeFunctions.html#ga22139116b5f536eb790becddfe96ced0">fwConfigurationDB_saveDiffRecipeToDB</a> instead  </dd>
<dt>Member <a class="el" href="group__RecipeFunctions.html#ga6c2ad7b1743d9d971cc21ed63cf9cb3d">fwConfigurationDB_storeRecipeInCache</a>  (dyn_dyn_mixed recipeObject, string cacheName, string hierarchyType, dyn_string &amp;exceptionInfo)</dt>
<dd><a class="anchor" id="_deprecated000022"></a>use <a class="el" href="group__RecipeFunctions.html#ga0bc019a9d021d27bacd6402828b8ab72">fwConfigurationDB_saveRecipeToCache</a> instead  </dd>
<dt>Member <a class="el" href="group__RecipeFunctions.html#gae1100d8febcde022eef3fd2488312dc3">fwConfigurationDB_storeRecipeInDB</a>  (dyn_dyn_mixed recipeObject, string hierarchyType, string versionDescription, dyn_string &amp;exceptionInfo, string tag)</dt>
<dd><a class="anchor" id="_deprecated000025"></a>use <a class="el" href="group__RecipeFunctions.html#ga5abee14f21a2a0153cedff1192fe09c5">fwConfigurationDB_saveRecipeToDB</a> instead  </dd>
<dt>Member <a class="el" href="fwConfigurationDB__Deprecated_8ctl.html#ad379c69af645752bf9acba5b35ca9f3f">fwConfigurattionDB_deleteDeviceConfiguration</a>  (string confName, dyn_string &amp;exceptionInfo, bool deleteOldOnly=false)</dt>
<dd><a class="anchor" id="_deprecated000019"></a>2018-08-03 </dd>
</dl>
</div></div><!-- contents -->
</div><!-- PageDoc -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
